Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicBorders

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicBorders

public class BasicBorders
extends Object

Factory object that can vend Borders appropriate for the basic L & F.

Inner Class Summary
`static class` | `BasicBorders.ButtonBorder`
`static class` | `BasicBorders.FieldBorder`
`static class` | `BasicBorders.MarginBorder`
`static class` | `BasicBorders.MenuBarBorder`
`static class` | `BasicBorders.RadioButtonBorder`
`static class` | `BasicBorders.SplitPaneBorder` Draws the border around the splitpane.
`static class` | `BasicBorders.ToggleButtonBorder`

Constructor Summary
`BasicBorders()`

Method Summary
`static Border` | `getButtonBorder()`
`static Border` | `getInternalFrameBorder()`
`static Border` | `getMenuBarBorder()`
`static Border` | `getProgressBarBorder()`
`static Border` | `getRadioButtonBorder()`
`static Border` | `getSplitPaneBorder()`
`static Border` | `getSplitPaneDividerBorder()` Returns a border instance for a JSplitPane divider
`static Border` | `getTextFieldBorder()`
`static Border` | `getToggleButtonBorder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicBorders

    public BasicBorders()

Method Detail

### getButtonBorder

    public static Border getButtonBorder()

### getRadioButtonBorder

    public static Border getRadioButtonBorder()

### getToggleButtonBorder

    public static Border getToggleButtonBorder()

### getMenuBarBorder

    public static Border getMenuBarBorder()

### getSplitPaneBorder

    public static Border getSplitPaneBorder()

### getSplitPaneDividerBorder

    public static Border getSplitPaneDividerBorder()

  Returns a border instance for a JSplitPane divider
  Since:
    1.3

### getTextFieldBorder

    public static Border getTextFieldBorder()

### getProgressBarBorder

    public static Border getProgressBarBorder()

### getInternalFrameBorder

    public static Border getInternalFrameBorder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.